MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026542Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-11 09:202016-04-20 15:51
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026542: Visualization - Finalize support of D3D
DescriptionThe patch integrated in frames of #26392 is not complete:

- Not documented
- Not tested (it needs Direct3D SDK if Visual Studio < 2012 is used)
- Not included in CMake build procedures
- Fails to build with VC++ below 12 due to use of C++11 initializer lists in D3DHost_Workspace.cxx
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0044088)
git (administrator)
2015-08-13 15:22

Branch CR26542 has been created by apn.

SHA-1: 957885a7475bab42b27b7265a8c001c8ac4be514


Detailed log of new commits:

Author: apn
Date: Thu Aug 13 15:21:57 2015 +0300

    Added CMake build procedures, reset values of unset fields of myD3dParams and myCurrMode structures
(0044305)
apn (administrator)
2015-08-14 12:31

Dear abv, could you please review CR26542.
If SDK is installed it uses d3d9.h from Microsoft SDKs, if not - there will be error for missing include file.
(0046670)
git (administrator)
2015-10-12 12:23

Branch CR26542_1 has been created by kgv.

SHA-1: 9c734cbfed7079e787835d0fde5d5e140a954f00


Detailed log of new commits:

Author: apn
Date: Thu Aug 13 15:21:57 2015 +0300

    0026542: Visualization - Finalize support of D3D
    
    D3DHost_View - fix compilation issues on old msvc compilers.
    CMake - add TKD3DHost.

Author: kgv
Date: Sat Oct 10 22:18:47 2015 +0300

    0026734: Visualization, D3DHost_View - drop outdated UserDraw interfaces
(0046671)
kgv (developer)
2015-10-12 12:28
edited on: 2015-10-12 12:29

Dear bugmaster,

please check if patch in branch CR26542_1 is sufficient to build TKD3DHost toolkit within regressions tests. Patch adds new USE_D3D option to CMake list and requires either Windows SDK v8.0+ (used by VS2012+) or Direct3D SDK.

Please also check if samples\CSharp\OCCTProxy_D3D is listed within automated samples building checks.

(0047267)
bugmaster (administrator)
2015-10-21 13:06

Kirill,

src/TKD3DHost/CMakeLists.txt of CR26542_1 contains string :

include(${OCCT_SOURCE_DIR}/adm/cmake/BuildToolkit.cmake)

but BuildToolkit.cmake was removed fix for issue 26529
(0047306)
kgv (developer)
2015-10-21 22:40

Dear Ivan,

could you please update the patch in accordance with changes from 0026529?
(0047310)
bugmaster (administrator)
2015-10-22 09:37

Kirill,

I corrected string from
include(${OCCT_SOURCE_DIR}/adm/cmake/BuildToolkit.cmake)
to
include(${OCCT_SOURCE_DIR}/adm/cmake/occt_toolkit.cmake)
TKD3DHost toolkit is built successfully.

I take it to IR
(0053229)
git (administrator)
2016-04-17 14:44

Branch CR26542 has been deleted by kgv.

SHA-1: 957885a7475bab42b27b7265a8c001c8ac4be514
(0053230)
git (administrator)
2016-04-17 14:44

Branch CR26542_1 has been deleted by kgv.

SHA-1: 9c734cbfed7079e787835d0fde5d5e140a954f00

- Related Changesets
occt: master f60111dc
Timestamp: 2015-08-13 12:21:57
Author: apn
Committer: bugmaster
Details ] Diff ]
0026542: Visualization - Finalize support of D3D

D3DHost_View - fix compilation issues on old msvc compilers.
CMake - add TKD3DHost.

Cosmetic correction
mod - adm/cmake/vardescr.cmake Diff ] File ]
mod - adm/MODULES Diff ] File ]
mod - adm/templates/env.bat Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - src/D3DHost/D3DHost_View.cxx Diff ] File ]
add - src/TKD3DHost/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-11 09:20 abv New Issue
2015-08-11 09:20 abv Assigned To => kgv
2015-08-11 09:23 abv Relationship added child of 0026392
2015-08-11 09:30 kgv Description Updated View Revisions
2015-08-11 10:29 bugmaster Assigned To kgv => apn
2015-08-13 15:22 git Note Added: 0044088
2015-08-14 12:31 apn Note Added: 0044305
2015-08-14 12:31 apn Assigned To apn => abv
2015-08-14 12:31 apn Status new => resolved
2015-08-14 18:19 abv Assigned To abv => kgv
2015-10-12 12:23 git Note Added: 0046670
2015-10-12 12:28 kgv Note Added: 0046671
2015-10-12 12:28 kgv Assigned To kgv => bugmaster
2015-10-12 12:28 kgv Status resolved => reviewed
2015-10-12 12:28 kgv Product Version 7.0.0 =>
2015-10-12 12:29 kgv Note Edited: 0046671 View Revisions
2015-10-21 13:06 bugmaster Note Added: 0047267
2015-10-21 22:40 kgv Note Added: 0047306
2015-10-21 22:40 kgv Assigned To bugmaster => ibs
2015-10-21 22:40 kgv Status reviewed => feedback
2015-10-22 09:35 bugmaster Assigned To ibs => bugmaster
2015-10-22 09:37 bugmaster Note Added: 0047310
2015-10-22 09:37 bugmaster Status feedback => tested
2015-10-23 12:30 bugmaster Changeset attached => occt master f60111dc
2015-10-23 12:30 bugmaster Status tested => verified
2015-10-23 12:30 bugmaster Resolution open => fixed
2016-04-17 14:44 git Note Added: 0053229
2016-04-17 14:44 git Note Added: 0053230
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker